%define	modname	Archive-Tar
%define	modver	1.90

Name:		perl-%{modname}
Version:	%{perl_convert_version %{modver}}
Release:	6

Summary:	Perl module for manipulation of tar archives
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{modname}
Source0:	http://search.cpan.org/CPAN/authors/id/B/BI/BINGOS/%{modname}-%{modver}.tar.gz

BuildRequires:	perl(IO::Compress::Bzip2)	>= 2.012
BuildRequires:	perl(Test::Pod)			>= 0.95
BuildRequires:	perl(Text::Diff)
BuildRequires:	perl-devel

BuildArch:	noarch

Requires:	perl(IO::Compress::Bzip2)	>= 2.012
Requires:	perl(IO::Uncompress::Bunzip2)	>= 2.012

%description
Archive::Tar provides an object oriented mechanism for handling tar files. It
provides class methods for quick and easy files handling while also allowing
for the creation of tar file objects for custom manipulation. If you have the
IO::Zlib module installed, Archive::Tar will also support compressed or gzipped
tar files.

An object of class Archive::Tar represents a .tar(.gz) archive full of files
and things.

%prep
%setup -q -n %{modname}-%{modver}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files 
%doc README
%{perl_vendorlib}/Archive/Tar
%{perl_vendorlib}/Archive/Tar.pm
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_bindir}/*


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.900.0-6
+ Revision: 3e9512c
- MassBuild#440: Increase release tag


